// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		4BDB3BAB2680BFB200DDE142 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4BDB3BAA2680BFB200DDE142 /* AppDelegate.swift */; };
		4BDB3BAD2680BFB200DDE142 /* SceneDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4BDB3BAC2680BFB200DDE142 /* SceneDelegate.swift */; };
		4BDB3BAF2680BFB200DDE142 /* ViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4BDB3BAE2680BFB200DDE142 /* ViewController.swift */; };
		4BDB3BB22680BFB200DDE142 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 4BDB3BB02680BFB200DDE142 /* Main.storyboard */; };
		4BDB3BB42680BFB700DDE142 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 4BDB3BB32680BFB700DDE142 /* Assets.xcassets */; };
		4BDB3BB72680BFB700DDE142 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 4BDB3BB52680BFB700DDE142 /* LaunchScreen.storyboard */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		4BDB3BA72680BFB200DDE142 /* Soundcloud.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = Soundcloud.app; sourceTree = BUILT_PRODUCTS_DIR; };
		4BDB3BAA2680BFB200DDE142 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		4BDB3BAC2680BFB200DDE142 /* SceneDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SceneDelegate.swift; sourceTree = "<group>"; };
		4BDB3BAE2680BFB200DDE142 /* ViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewController.swift; sourceTree = "<group>"; };
		4BDB3BB12680BFB200DDE142 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		4BDB3BB32680BFB700DDE142 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		4BDB3BB62680BFB700DDE142 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		4BDB3BB82680BFB700DDE142 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		4BDB3BA42680BFB200DDE142 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		4BDB3B9E2680BFB200DDE142 = {
			isa = PBXGroup;
			children = (
				4BDB3BA92680BFB200DDE142 /* Soundcloud */,
				4BDB3BA82680BFB200DDE142 /* Products */,
			);
			sourceTree = "<group>";
		};
		4BDB3BA82680BFB200DDE142 /* Products */ = {
			isa = PBXGroup;
			children = (
				4BDB3BA72680BFB200DDE142 /* Soundcloud.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		4BDB3BA92680BFB200DDE142 /* Soundcloud */ = {
			isa = PBXGroup;
			children = (
				4BDB3BAA2680BFB200DDE142 /* AppDelegate.swift */,
				4BDB3BAC2680BFB200DDE142 /* SceneDelegate.swift */,
				4BDB3BAE2680BFB200DDE142 /* ViewController.swift */,
				4BDB3BB02680BFB200DDE142 /* Main.storyboard */,
				4BDB3BB32680BFB700DDE142 /* Assets.xcassets */,
				4BDB3BB52680BFB700DDE142 /* LaunchScreen.storyboard */,
				4BDB3BB82680BFB700DDE142 /* Info.plist */,
			);
			path = Soundcloud;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		4BDB3BA62680BFB200DDE142 /* Soundcloud */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 4BDB3BBB2680BFB700DDE142 /* Build configuration list for PBXNativeTarget "Soundcloud" */;
			buildPhases = (
				4BDB3BA32680BFB200DDE142 /* Sources */,
				4BDB3BA42680BFB200DDE142 /* Frameworks */,
				4BDB3BA52680BFB200DDE142 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = Soundcloud;
			productName = Soundcloud;
			productReference = 4BDB3BA72680BFB200DDE142 /* Soundcloud.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		4BDB3B9F2680BFB200DDE142 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1250;
				LastUpgradeCheck = 1250;
				TargetAttributes = {
					4BDB3BA62680BFB200DDE142 = {
						CreatedOnToolsVersion = 12.5;
					};
				};
			};
			buildConfigurationList = 4BDB3BA22680BFB200DDE142 /* Build configuration list for PBXProject "Soundcloud" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 4BDB3B9E2680BFB200DDE142;
			productRefGroup = 4BDB3BA82680BFB200DDE142 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				4BDB3BA62680BFB200DDE142 /* Soundcloud */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		4BDB3BA52680BFB200DDE142 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				4BDB3BB72680BFB700DDE142 /* LaunchScreen.storyboard in Resources */,
				4BDB3BB42680BFB700DDE142 /* Assets.xcassets in Resources */,
				4BDB3BB22680BFB200DDE142 /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		4BDB3BA32680BFB200DDE142 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				4BDB3BAF2680BFB200DDE142 /* ViewController.swift in Sources */,
				4BDB3BAB2680BFB200DDE142 /* AppDelegate.swift in Sources */,
				4BDB3BAD2680BFB200DDE142 /* SceneDelegate.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		4BDB3BB02680BFB200DDE142 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				4BDB3BB12680BFB200DDE142 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		4BDB3BB52680BFB700DDE142 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				4BDB3BB62680BFB700DDE142 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		4BDB3BB92680BFB700DDE142 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 14.5;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		4BDB3BBA2680BFB700DDE142 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 14.5;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		4BDB3BBC2680BFB700DDE142 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 2TQP365DRZ;
				INFOPLIST_FILE = Soundcloud/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.example.Soundcloud;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		4BDB3BBD2680BFB700DDE142 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 2TQP365DRZ;
				INFOPLIST_FILE = Soundcloud/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.example.Soundcloud;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		4BDB3BA22680BFB200DDE142 /* Build configuration list for PBXProject "Soundcloud" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				4BDB3BB92680BFB700DDE142 /* Debug */,
				4BDB3BBA2680BFB700DDE142 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		4BDB3BBB2680BFB700DDE142 /* Build configuration list for PBXNativeTarget "Soundcloud" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				4BDB3BBC2680BFB700DDE142 /* Debug */,
				4BDB3BBD2680BFB700DDE142 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 4BDB3B9F2680BFB200DDE142 /* Project object */;
}
